Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038972
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-07-16 18:202018-09-17 08:33
ReporterVictorVillarView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision855a8e4f22bd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tovmromanos
Regression introduced in release
Summary

0038972: After picking and issue a sales order line, the invoice line is not updated with the Goods Shipment line relation

DescriptionAfter picking and issue a sales order line, the invoice line is not updated with the Goods Shipment line relation
Steps To ReproduceCreate a Sales Order. Org with AWO activated
Create a Sales Order line.
Go to Sales Invoice and create lines from selecting the Sales Order created before.
Go to Sales Order and generate the picking task. Confirm it
Generate the issue task. Confirm it. This action will generate the Goods Shipment.
If you navigate to the previous sales invoice the sales invoice is not updating the goods shipment line link. So then you will be able to go to goods shipment, create a new one and the invoice will appear always in the dropdown list of the create lines from.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106563)
hgbot (developer)
2018-08-31 10:22

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 855a8e4f22bddc71dc4a5ef073a773673f43a80f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 31 09:57:39 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/855a8e4f22bddc71dc4a5ef073a773673f43a80f [^]

Fixes Issue 38972. When confirming an Issue or Reception Task,
if there is an Invoice related with the Order, create also the realtion
for the Goods Receipt/Shipment Line

* After the Receipt/Shipment Line is created, create the relation
  between Invoice Lines and Receipt/Shipment Lines if necessary
* Refactor code to extract method to create Receipt Line

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/ShipmentInOutGenerator.java
---
(0106564)
hgbot (developer)
2018-08-31 10:23

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: c83926215c50ca66690174ff0f9de2a6e0e823f0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 31 09:57:39 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/c83926215c50ca66690174ff0f9de2a6e0e823f0 [^]

Fixes Issue 38972. When confirming an Issue or Reception Task,
if there is an Invoice related with the Order, create also the realtion
for the Goods Receipt/Shipment Line

* After the Receipt/Shipment Line is created, create the relation
  between Invoice Lines and Receipt/Shipment Lines if necessary
* Refactor code to extract method to create Receipt Line

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/ShipmentInOutGenerator.java
---
(0106565)
hgbot (developer)
2018-08-31 10:23

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: c23331b10bb408f373358344a5e2791b89f4b9a5
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 31 10:23:26 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/c23331b10bb408f373358344a5e2791b89f4b9a5 [^]

Related to Issue 38972. Changed code that depends on hibernate upgrade

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/ShipmentInOutGenerator.java
---
(0106566)
dmiguelez (developer)
2018-08-31 10:44

With AWO and AWO SampleData installed

Log in as AWO QA Admin

Sales Flow:

Go to Sales Order Window and create a new record with:
  - Organization: US West Coast
  - Business Partner: Healthy Food Supermarkets
  - Warehouse: US West Coast
  - Invoice Terms: Immediate
Move to lines and create a new record with:
  - Product: Ale Beer
  - Operative Quantity: 10
Book the Order

Go to Sales Invoice Window and create a new record with:
  - Organization: US West Coast
  - Business Partner: Healthy Food Supermarkets
Click on Create Lines From Order button
  - Filter the grid to show the lines from the previously created Order, select all of them and click on done
Complete the Invoice

Return to Sales Order Window and select the previously created Order
Click on Pick button and done. A Task is generated
Move to Task Tab under the 'Ale Beer' line. Select the record and click on confirm.
Click on the Header again and then on the Issue button. A Task is generated
Move to Task Tab under the 'Ale Beer' line. Select the record and click on confirm.

Return to Sales Invoice Window and select the previously created Invoice
Move the the 'Ale Beer' line
Show the More Information section and check that the Goods Shipment Line field is filled

Purchase Flow:

Go to Purchase Order Window and create a new record with:
  - Organization: US West Coast
  - Business Partner: Be Soft Drinker
  - Warehouse: US West Coast
Move to lines and create a new record with:
  - Product: Ale Beer
  - Operative Quantity: 10
Book the Order

Go to Purchase Invoice Window and create a new record with:
  - Organization: US West Coast
  - Business Partner: Be Soft Drinker
Click on Create Lines From Order button
  - Filter the grid to show the lines from the previously created Order, select all of them and click on done
Complete the Invoice

Return to Purchase Order Window and select the previously created Order
Click on Receive button and done. A Task is generated
Move to Task Tab under the 'Ale Beer' line. Select the record and click on confirm.

Go to Matched Invoices Window and filter it by the Invoice Line previously created
Check that there is a record that relates the invoiceline with the Goods Receipt Line
(0106572)
vmromanos (manager)
2018-08-31 14:39

Code review + testing OK
(0106780)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 855a8e4f22bddc71dc4a5ef073a773673f43a80f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 31 09:57:39 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/855a8e4f22bddc71dc4a5ef073a773673f43a80f [^]

Fixes Issue 38972. When confirming an Issue or Reception Task,
if there is an Invoice related with the Order, create also the realtion
for the Goods Receipt/Shipment Line

* After the Receipt/Shipment Line is created, create the relation
  between Invoice Lines and Receipt/Shipment Lines if necessary
* Refactor code to extract method to create Receipt Line

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/ShipmentInOutGenerator.java
---
(0106794)
dmiguelez (developer)
2018-09-17 08:33

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2018-07-16 18:20 VictorVillar New Issue
2018-07-16 18:20 VictorVillar Assigned To => dmiguelez
2018-07-16 18:22 ngarcia Issue Monitored: ngarcia
2018-07-16 18:51 martinsdan Issue Monitored: martinsdan
2018-08-31 10:22 hgbot Checkin
2018-08-31 10:22 hgbot Note Added: 0106563
2018-08-31 10:22 hgbot Status new => resolved
2018-08-31 10:22 hgbot Resolution open => fixed
2018-08-31 10:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/855a8e4f22bddc71dc4a5ef073a773673f43a80f [^]
2018-08-31 10:23 hgbot Checkin
2018-08-31 10:23 hgbot Note Added: 0106564
2018-08-31 10:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/855a8e4f22bddc71dc4a5ef073a773673f43a80f [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/c83926215c50ca66690174ff0f9de2a6e0e823f0 [^]
2018-08-31 10:23 hgbot Checkin
2018-08-31 10:23 hgbot Note Added: 0106565
2018-08-31 10:44 dmiguelez Note Added: 0106566
2018-08-31 14:39 vmromanos Review Assigned To => vmromanos
2018-08-31 14:39 vmromanos Note Added: 0106572
2018-08-31 14:39 vmromanos Status resolved => closed
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106780
2018-09-14 14:56 hgbot Status closed => resolved
2018-09-14 14:56 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/c83926215c50ca66690174ff0f9de2a6e0e823f0 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/855a8e4f22bddc71dc4a5ef073a773673f43a80f [^]
2018-09-17 08:33 dmiguelez Note Added: 0106794
2018-09-17 08:33 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker